Summary: A pager with Web browsing abilities.
Name: w3m
Version: 0.2.1
Release: 11.AS21.1
Group: Applications/Internet
License: BSD
URL: http://ei5nazha.yz.yamagata-u.ac.jp/~aito/w3m/
Source0: %{name}-%{version}.tar.bz2
## Source1: http://namazu.org/~tsuchiya/emacs-w3m/w3m_el-1.0.tar.gz

# upstream configure script seems to be broken when setting
# --lang=en, so instead of that dynamic configuration, use
# pre-written configured file.
Source2: w3m-0.2.1-config.h-ja
Source3: w3m-0.2.1-config.h-en

Source4: w3m-wrapper
Source5: w3mbookmark.bz2
Source6: w3mhelperpanel.bz2
Source10: http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc6.0alpha8.tar.gz
Source11: w3m-0.2.1-config.h-ia64-ja
Source12: w3m-0.2.1-config.h-ia64-en
Source13: w3m-0.2.1-config.h-s390-ja
Source14: w3m-0.2.1-config.h-s390-en

# bug fix patch from w3m mailinglist
## Patch0:	w3m-0.2.1-mnc.patch
Patch1:	w3m-0.2.1-rxvt-mouse.patch
Patch2:	w3m-dev-01891.patch
Patch3:	w3m-dev-01894.patch
Patch4:	w3m-dev-01898.patch
Patch5:	w3m-dev-01902.patch

Patch6:	w3m-0.2.1-perlpath.patch
## for ugly and wrong HTML sources. (Is this needed?)
## Patch7:	w3m-dev-en-00424.patch
## security fix: SNS Advisory No.32 (http://www.lac.co.jp/security/snsadv/32.html)
Patch8:	w3m-0.2.1-bfover.patch
Patch9: w3m-0.2.1-ia64.patch
## inline image support
## Patch10: w3m-0.2.1-img-1.3.patch
Patch20: w3m-htmlquote.patch
Patch21: w3m-htmlstream.patch

Requires: indexhtml, perl
BuildPrereq: bzip2, findutils
## BuildRequires: openssl, imlib-devel
BuildRequires: openssl
%ifnarch s390 s390x
BuildRequires: gpm-devel
%endif
Provides: webclient
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
ExcludeArch: alpha

%description
The w3m program is a pager (or text file viewer) that can also be used
as a text-mode Web browser. W3m features include the following: when
reading an HTML document, you can follow links and view images using
an external image viewer; its internet message mode determines the
type of document from the header; if the Content-Type field of the
document is text/html, the document is displayed as an HTML document;
you can change a URL description like 'http://hogege.net' in plain
text into a link to that URL.

%prep
%setup -q
%patch1
%patch2 -p1 -b .ftp
%patch3
%patch4
%patch5
%patch6 -p1 -b .perl
%patch8 -p0 -b .bf
## %patch10 -p0 -b .img
%patch20 -p1
%patch21 -p1

%ifarch ia64 s390 s390x
( cd $RPM_BUILD_DIR/%{name}-%{version}/;  \
  rm -rf gc; \
  tar xzf %{SOURCE10}; \
  mv gc6.0alpha8 gc; \
)
%patch9 -p1 -b .ia64
%endif

%build

%{__cat} \
%ifarch ia64
 %{SOURCE11} \
%endif
%ifarch s390 s390x
 %{SOURCE13} \
%endif
%ifarch i386
 %{SOURCE2} \
%endif
 > config.h

%ifarch s390 s390x
%{__make} -C gc
%endif

%{__make} && \
for f in w3m w3mbookmark w3mhelperpanel ; do mv $f $f-ja ; done \
&& %{__make} clean


%{__cat} \
%ifarch ia64
 %{SOURCE12} \
%endif
%ifarch s390 s390x
 %{SOURCE14} \
%endif
%ifarch i386
 %{SOURCE3} \
%endif
 > config.h


%{__make} && \
for f in w3m w3mbookmark w3mhelperpanel ; do mv $f $f-en ; done


cat %SOURCE4 > ./w3m
bzcat %SOURCE5 > ./w3mbookmark
bzcat %SOURCE6 > ./w3mhelperpanel


%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/w3m,%{_datadir}/w3m}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/{man1,ja/man1}

for f in w3m w3m-ja w3m-en; do \
	%{__install} -m 755 $f $RPM_BUILD_ROOT%{_bindir}; done

for f in w3mbookmark{,-ja,-en} scripts/dirlist.cgi
do %{__install} -m 755 $f $RPM_BUILD_ROOT%{_libdir}/w3m; done

## for f in w3mbookmark{,-ja,-en} w3mimg{size,display} scripts/dirlist.cgi
## do %{__install} -m 755 $f $RPM_BUILD_ROOT%{_libdir}/w3m; done

for f in w3mhelp*.html ; do \
	%{__install} -m 644 $f $RPM_BUILD_ROOT%{_datadir}/w3m; done

## make symlink of HTTP_HOME (/usr/share/doc/HTML/index.html*)
## w3m doesn't think index.html.ja_JP as HTML even if its mime-type
## is specfied (-T html):
## %define index_en %{_docdir}/HTML/index.html
## %define index_ja %{_docdir}/HTML/index.html.ja_JP
%define index_en ../doc/HTML/index.html
%define index_ja ../doc/HTML/index.html.ja_JP

cd  $RPM_BUILD_ROOT%{_datadir}/w3m ; \
	( [ -f %{index_en} ] && %{__ln_s} %{index_en} index-en.html ) ; \
	( [ -f %{index_ja} ] && %{__ln_s} %{index_ja} index-ja.html ) ; \
cd -


%{__install} -m 644 doc-jp/w3m.1 ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
%{__install} -m 644 doc/w3m.1    ${RPM_BUILD_ROOT}%{_mandir}/man1

# don't include duplicated man pages and CVS directory in doc
%{__rm} -f doc-jp/w3m.1 doc/w3m.1 && \
	find . -name "CVS" | xargs %{__rm} -rf


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_libdir}/w3m
%dir %{_datadir}/w3m
%doc doc doc-jp
## %doc README.img
%{_bindir}/w3m*
%attr(644,root,root)
%{_libdir}/w3m/*
%{_datadir}/w3m/*
%{_mandir}/ja/man1/w3m.1*
%{_mandir}/man1/w3m.1*


%changelog
* Tue Dec 10 2002 Akira TAGOH <tagoh@redhat.com> 0.2.1-11.AS21.1
- w3m-htmlstream.patch: applied to fix another security vulnerability.

* Thu Dec  5 2002 Akira TAGOH <tagoh@redhat.com> 0.2.1-11.AS21
- Security fix release (RHSA-2002:277)
- w3m-htmlquote.patch: applied to fix the missing html quote in frame tag.

* Thu Aug 29 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-11
- made the relative link to HTML_HOME instead of the absolute one
- fixed the permission of sources (to shut up rpmlint)

* Wed Aug 29 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-10
- fixed the wrapper script (#52759)

* Fri Aug  9 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-9
- corrected the help files' path (#51197)
- removed /etc/profile.d/*
- fixed and update the wrapper
- removed imlib-devel (BuildRequires:)

* Fri Aug  4 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-8
- disabled the inline image rendering patch by default (#50786)

* Tue Jul 24 2001 SATO Satoru <ssato@redhat.com>
- s/Copyright/License/
- %%files: add '/etc/profile.d/w3m.*'
- enable IPv6 support by default (#35649)

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not require gpm for s390,s390x

* Tue Jul 17 2001 SATO Satoru <ssato@redhat.com>
- apply inline image support patch.
- BuildRequires: imlib-devel
- add %%dir lines

* Thu Jun 28 2001 Than Ngo <than@redhat.com>
- fix to build on s390x s390
- fix to use RPM_OPT_FLAGS

* Mon Jun 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- disable mouse/gpm on s390 s390x

* Thu Jun 21 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 support.

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- 0.2.1
- clean up SPEC
- apply security bug fix
- w3m-el is removed (moved into w3m-el package)

* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Fri Feb  9 2001 SATO Satoru <ssato@redhat.com>
- not to use upstream configure script (it looks corrupted)
- separated w3m-ja/w3m-en (#26443)
- apply many security bug fix patch
- ExludeArch alpha
- use bzip2 instead of gzip for src/patches

* Thu Feb  8 2001 SATO Satoru <ssato@redhat.com>
- changed configure option ( --lang=ja -> --lang=en)

* Thu Jan 18 2001 Tim Powers <timp@redhat.com>
- ExludeArch ia64

* Sun Jan 14 2001 SATO Satoru <ssato@redhat.com>
- fix the error while building on IA64

* Fri Jan 12 2001 SATO Satoru <ssato@redhat.com>
- fix the error while building on Sparc
- clean up SPEC

* Thu Dec 28 2000 SATO Satoru <ssato@redhat.com>
- new upstream pre release
- added w3m.el
- clean up SPEC

* Wed Sep  6 2000 Satoru Sato <ssato@redhat.com>
- ported from vine
- remove w3m.wmconfig
- build with openssl library

* Sun Jul 09 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- w3m-0.1.10-0vl3
- provide default HTTP_HOME in /etc/profile.d

* Fri Jul 07 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- Provides: webclient, Requires: indexhtml (capability of lynx)
- added w3m.wmconfig
- give them(who?) RPM_OPT_FLAGS(what?)
- dont include duplicated man pages and CVS directory in doc

* Wed Jun 21 2000 Jun Nishii <jun@vinelinux.org>
- 0.1.10-0vl1

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- fix spec file

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 0.1.4 to 0.1.6

* Thu Jan 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991203 to 0.1.4

* Fri Dec 03 1999 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991028 to 991203

* Sat Oct 30 1999 Yoichi Imai <bonaim@mutt.freemail.ne.jp>
- updated from 990820 to 991028

* Tue Aug 26 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- updated from 990716 to 990820

* Wed Aug 11 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- initial Release to VinePlus
